Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface AssignmentTree

- All Superinterfaces:
    `ExpressionTree`, `Tree`

      @Deprecated(since="11",
                  forRemoval=true)
      public interface AssignmentTree
      extends ExpressionTree

  Deprecated, for removal: This API element is subject to removal in a future version.
  Nashorn JavaScript script engine and APIs, and the jjs tool are deprecated with the intent to remove them in a future release.
  A tree node for an assignment expression. For example:

         variable = expression

  Since:
    9

- - ### Nested Class Summary

    - ### Nested classes/interfaces declared in interface jdk.nashorn.api.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExpressionTree` | `getExpression()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the right hand side (RHS) of this assignment.
    `ExpressionTree` | `getVariable()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the left hand side (LHS) of this assignment.

    - ### Methods declared in interface jdk.nashorn.api.tree.Tree

      `accept, getEndPosition, getKind, getStartPosition`

- - ### Method Detail

    - #### getVariable

          ExpressionTree getVariable()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Returns the left hand side (LHS) of this assignment.
      Returns:
        left hand side (LHS) expression

    - #### getExpression

          ExpressionTree getExpression()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Returns the right hand side (RHS) of this assignment.
      Returns:
        right hand side (RHS) expression